Skip to main content

Extensions and integrations

Base URL: https://api.amplience.net/v2/content

Authorization and status codes

For authorization and status codes see the API Reference overview.

Extensions
Link copied!

MethodEndpointSummary
GET/extensions/{id}Get extension
PATCH/extensions/{id}Patch extension
DELETE/extensions/{id}Delete extension
GET/hubs/{hubId}/extensionsList extensions
POST/hubs/{hubId}/extensionsCreate extension
GET/hubs/{hubId}/extensions/{name}Get extension by name

Get extension
Link copied!

GET /extensions/{id}

https://api.amplience.net/v2/content/extensions/{id}

Return the extension with the specified ID.

Parameters

NameInTypeRequiredDescription
extensionIdpathstringExtension ID
Example: 00112233445566778899aabb

Responses

StatusDescription
200Extension Response
Response Example (200)
{
"hubId": "00112233445566778899aabb",
"name": "Extension-01",
"label": "Extension-01 first-draft",
"description": "This is a description of an extension.",
"url": "http://example.com",
"height": 400,
"enabledForAllContentTypes": false,
"category": "CONTENT_FIELD",
"parameters": [
{
"color": "blue"
}
],
"snippets": [
{
"label": "mySnippet",
"body": "{}"
}
],
"settings": "{\"API\":{\"READ\":true,\"EDIT\":true},\"SANDBOX\":{\"SAME_ORIGIN\":false,\"MODALS\":true,\"NAVIGATION\":true,\"POPUPS\":false,\"DOWNLOADS\":false,\"FORMS\":true}}",
"createdBy": "00112233-4455-6677-8899-aabbccddeeff",
"createdDate": "2019-01-01T00:00:00.000Z",
"lastModifiedBy": "00112233-4455-6677-8899-aabbccddeeff",
"lastModifiedDate": "2019-01-01T00:00:00.000Z",
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/extensions/00112233445566778899aabb"
},
"extension": {
"href": "https://api.amplience.net/v2/content/extensions/00112233445566778899aabb"
},
"hub": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb"
},
"update": {
"href": "https://api.amplience.net/v2/content/extensions/00112233445566778899aabb"
},
"delete": {
"href": "https://api.amplience.net/v2/content/extensions/00112233445566778899aabb"
}
}
}

Patch extension
Link copied!

PATCH /extensions/{id}

https://api.amplience.net/v2/content/extensions/{id}

Patch an Extension

Parameters

NameInTypeRequiredDescription
extensionIdpathstringExtension ID
Example: 00112233445566778899aabb

Request Body

Content-Type: application/json

FieldTypeRequiredDescription
namestringSystem name
labelstringUser friendly name
descriptionstringDescription
urlstringUrl
heightintegerHeight of the extension
enabledForAllContentTypesbooleanSets whether the extension is globally enabled or intended for a specific content type
categorystring (CONTENT_FIELD)Type of extension
parametersarrayArray of config parameters
snippetsarrayArray of snippets
settingsstringThe settings parameter is used to store undefined extension settings such as security rule.
Request example
{
"name": "Extension-01",
"label": "Extension-01 first-draft",
"description": "This is a description of an extension.",
"url": "http://example.com",
"height": 400,
"enabledForAllContentTypes": false,
"category": "CONTENT_FIELD",
"parameters": [
{
"color": "blue"
}
],
"snippets": [
{
"label": "mySnippet",
"body": "{}"
}
],
"settings": "{\"API\":{\"READ\":true,\"EDIT\":true},\"SANDBOX\":{\"SAME_ORIGIN\":false,\"MODALS\":true,\"NAVIGATION\":true,\"POPUPS\":false,\"DOWNLOADS\":false,\"FORMS\":true}}"
}

Responses

StatusDescription
200Extension Response
Response Example (200)
{
"hubId": "00112233445566778899aabb",
"name": "Extension-01",
"label": "Extension-01 first-draft",
"description": "This is a description of an extension.",
"url": "http://example.com",
"height": 400,
"enabledForAllContentTypes": false,
"category": "CONTENT_FIELD",
"parameters": [
{
"color": "blue"
}
],
"snippets": [
{
"label": "mySnippet",
"body": "{}"
}
],
"settings": "{\"API\":{\"READ\":true,\"EDIT\":true},\"SANDBOX\":{\"SAME_ORIGIN\":false,\"MODALS\":true,\"NAVIGATION\":true,\"POPUPS\":false,\"DOWNLOADS\":false,\"FORMS\":true}}",
"createdBy": "00112233-4455-6677-8899-aabbccddeeff",
"createdDate": "2019-01-01T00:00:00.000Z",
"lastModifiedBy": "00112233-4455-6677-8899-aabbccddeeff",
"lastModifiedDate": "2019-01-01T00:00:00.000Z",
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/extensions/00112233445566778899aabb"
},
"extension": {
"href": "https://api.amplience.net/v2/content/extensions/00112233445566778899aabb"
},
"hub": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb"
},
"update": {
"href": "https://api.amplience.net/v2/content/extensions/00112233445566778899aabb"
},
"delete": {
"href": "https://api.amplience.net/v2/content/extensions/00112233445566778899aabb"
}
}
}

Delete extension
Link copied!

DELETE /extensions/{id}

https://api.amplience.net/v2/content/extensions/{id}

Delete an Extension

Parameters

NameInTypeRequiredDescription
extensionIdpathstringExtension ID
Example: 00112233445566778899aabb

Responses

StatusDescription
204Successfully removed the Extension

List extensions
Link copied!

GET /hubs/{hubId}/extensions

https://api.amplience.net/v2/content/hubs/{hubId}/extensions

List all of the extension created for a hub.

Parameters

NameInTypeRequiredDescription
hubIdpathstringHub ID
Example: 00112233445566778899aabb
pagequeryintegerPage number
Example: 0
sizequeryintegerPage size
Example: 20
sortquerystringSort paramter
Example: createdDate,asc

Responses

StatusDescription
200Paginated Extension List
Response Example (200)
{
"_embedded": {
"extensions": [
{
"hubId": "00112233445566778899aabb",
"name": "Extension-01",
"label": "Extension-01 first-draft",
"description": "This is a description of an extension.",
"url": "http://example.com",
"height": 400,
"enabledForAllContentTypes": false,
"category": "CONTENT_FIELD",
"parameters": [
{
"color": "blue"
}
],
"snippets": [
{
"label": "mySnippet",
"body": "{}"
}
],
"settings": "{\"API\":{\"READ\":true,\"EDIT\":true},\"SANDBOX\":{\"SAME_ORIGIN\":false,\"MODALS\":true,\"NAVIGATION\":true,\"POPUPS\":false,\"DOWNLOADS\":false,\"FORMS\":true}}",
"createdBy": "00112233-4455-6677-8899-aabbccddeeff",
"createdDate": "2019-01-01T00:00:00.000Z",
"lastModifiedBy": "00112233-4455-6677-8899-aabbccddeeff",
"lastModifiedDate": "2019-01-01T00:00:00.000Z",
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/extensions/00112233445566778899aabb"
},
"extension": {
"href": "https://api.amplience.net/v2/content/extensions/00112233445566778899aabb"
},
"hub": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb"
},
"update": {
"href": "https://api.amplience.net/v2/content/extensions/00112233445566778899aabb"
},
"delete": {
"href": "https://api.amplience.net/v2/content/extensions/00112233445566778899aabb"
}
}
}
]
},
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/extensions?page=0&size=20"
},
"first": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/extensions?page=0&size=20"
},
"last": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/extensions?page=0&size=20"
}
},
"page": {
"size": 20,
"totalElements": 1,
"totalPages": 1,
"number": 0
}
}

Create extension
Link copied!

POST /hubs/{hubId}/extensions

https://api.amplience.net/v2/content/hubs/{hubId}/extensions

Create a new Extension.

Parameters

NameInTypeRequiredDescription
hubIdpathstringHub ID
Example: 00112233445566778899aabb

Request Body

Content-Type: application/json

FieldTypeRequiredDescription
namestringSystem name
labelstringUser friendly name
descriptionstringDescription
urlstringUrl
heightintegerHeight of the extension
enabledForAllContentTypesbooleanSets whether the extension is globally enabled or intended for a specific content type
categorystring (CONTENT_FIELD)Type of extension
parametersarrayArray of config parameters
snippetsarrayArray of snippets
settingsstringThe settings parameter is used to store undefined extension settings such as security rule.
Request example
{
"name": "Extension-01",
"label": "Extension-01 first-draft",
"description": "This is a description of an extension.",
"url": "http://example.com",
"height": 400,
"enabledForAllContentTypes": false,
"category": "CONTENT_FIELD",
"parameters": [
{
"color": "blue"
}
],
"snippets": [
{
"label": "mySnippet",
"body": "{}"
}
],
"settings": "{\"API\":{\"READ\":true,\"EDIT\":true},\"SANDBOX\":{\"SAME_ORIGIN\":false,\"MODALS\":true,\"NAVIGATION\":true,\"POPUPS\":false,\"DOWNLOADS\":false,\"FORMS\":true}}"
}

Responses

StatusDescription
200Create Extension
Response Example (200)
{
"hubId": "00112233445566778899aabb",
"name": "Extension-01",
"label": "Extension-01 first-draft",
"description": "This is a description of an extension.",
"url": "http://example.com",
"height": 400,
"enabledForAllContentTypes": false,
"category": "CONTENT_FIELD",
"parameters": [
{
"color": "blue"
}
],
"snippets": [
{
"label": "mySnippet",
"body": "{}"
}
],
"settings": "{\"API\":{\"READ\":true,\"EDIT\":true},\"SANDBOX\":{\"SAME_ORIGIN\":false,\"MODALS\":true,\"NAVIGATION\":true,\"POPUPS\":false,\"DOWNLOADS\":false,\"FORMS\":true}}",
"createdBy": "00112233-4455-6677-8899-aabbccddeeff",
"createdDate": "2019-01-01T00:00:00.000Z",
"lastModifiedBy": "00112233-4455-6677-8899-aabbccddeeff",
"lastModifiedDate": "2019-01-01T00:00:00.000Z",
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/extensions/00112233445566778899aabb"
},
"extension": {
"href": "https://api.amplience.net/v2/content/extensions/00112233445566778899aabb"
},
"hub": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb"
},
"update": {
"href": "https://api.amplience.net/v2/content/extensions/00112233445566778899aabb"
},
"delete": {
"href": "https://api.amplience.net/v2/content/extensions/00112233445566778899aabb"
}
}
}

Get extension by name
Link copied!

GET /hubs/{hubId}/extensions/{name}

https://api.amplience.net/v2/content/hubs/{hubId}/extensions/{name}

Return the extension with the specified name, in current hub.

Parameters

NameInTypeRequiredDescription
hubIdpathstringHub ID
Example: 00112233445566778899aabb
namepathstringExtension name
Example: sample-name

Responses

StatusDescription
200Extension Response
Response Example (200)
{
"hubId": "00112233445566778899aabb",
"name": "Extension-01",
"label": "Extension-01 first-draft",
"description": "This is a description of an extension.",
"url": "http://example.com",
"height": 400,
"enabledForAllContentTypes": false,
"category": "CONTENT_FIELD",
"parameters": [
{
"color": "blue"
}
],
"snippets": [
{
"label": "mySnippet",
"body": "{}"
}
],
"settings": "{\"API\":{\"READ\":true,\"EDIT\":true},\"SANDBOX\":{\"SAME_ORIGIN\":false,\"MODALS\":true,\"NAVIGATION\":true,\"POPUPS\":false,\"DOWNLOADS\":false,\"FORMS\":true}}",
"createdBy": "00112233-4455-6677-8899-aabbccddeeff",
"createdDate": "2019-01-01T00:00:00.000Z",
"lastModifiedBy": "00112233-4455-6677-8899-aabbccddeeff",
"lastModifiedDate": "2019-01-01T00:00:00.000Z",
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/extensions/00112233445566778899aabb"
},
"extension": {
"href": "https://api.amplience.net/v2/content/extensions/00112233445566778899aabb"
},
"hub": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb"
},
"update": {
"href": "https://api.amplience.net/v2/content/extensions/00112233445566778899aabb"
},
"delete": {
"href": "https://api.amplience.net/v2/content/extensions/00112233445566778899aabb"
}
}
}

Integrations
Link copied!

MethodEndpointSummary
GET/hubs/{hubId}/integrationsList available integrations

List available integrations
Link copied!

GET /hubs/{hubId}/integrations

https://api.amplience.net/v2/content/hubs/{hubId}/integrations

List all of the Integrations created for a hub (dependent on functional permissions)

Parameters

NameInTypeRequiredDescription
hubIdpathstringHub ID
Example: 00112233445566778899aabb
pagequeryintegerPage number
Example: 0
sizequeryintegerPage size
Example: 20
sortquerystringSort paramter
Example: label,asc

Responses

StatusDescription
200Paginated Integration List
Response Example (200)
{
"_embedded": {
"integrations": [
{
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/integrations/<type>?hubId=00112233445566778899aabb?page=0&size=20"
},
"list-integrations": {
"href": "https://api.amplience.net/v2/content/integrations/<type>?hubId=00112233445566778899aabb?page=0&size=20"
},
"create-integrations": {
"href": "https://api.amplience.net/v2/content/integrations/<type>?hubId=00112233445566778899aabb?page=0&size=20"
}
}
}
]
},
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/integrations?page=0&size=20&sort=label,asc"
},
"first": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/integrations?page=0&size=20&sort=label,asc"
},
"last": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/integrations?page=1&size=20&sort=label,asc"
}
},
"page": {
"size": 20,
"totalElements": 1,
"totalPages": 1,
"number": 0
}
}

Salesforce Commerce Cloud (SFCC)
Link copied!

MethodEndpointSummary
GET/integrations/sfccList SFCC integrations
POST/integrations/sfccCreate SFCC integration
GET/integrations/sfcc/{integrationId}Get a SFCC integration
PATCH/integrations/sfcc/{integrationId}Update SFCC integration
DELETE/integrations/sfcc/{integrationId}Delete SFCC integration

List SFCC integrations
Link copied!

GET /integrations/sfcc

https://api.amplience.net/v2/content/integrations/sfcc

List all of the SFCC Integrations

Parameters

NameInTypeRequiredDescription
hubIdquerystringHub ID
Example: 00112233445566778899aabb
cursorquerystringCursor specific to a page
sizequeryintegerPage size
Example: 20
sortquerystringSort paramter
Example: label,asc

Responses

StatusDescription
200Paginated SFCC Integrations List
Response Example (200)
{
"_embedded": {
"integrations": [
{
"id": "00112233-4455-6677-8899-aabbccddeeff",
"label": "Salesforce Commerce Cloud",
"hubId": "00112233445566778899aabb",
"sfcc-credentials": {
"id": "SFCC_ID",
"secret": "SFCC_SECRET"
},
"dc-credentials": {
"id": "DC_ID",
"secret": "DC_SECRET"
},
"sfcc-api": {
"path": "https://example.com",
"version": "v18_10"
},
"contentSlots": {
"site": "mySite",
"ismlTemplate": "slots/html/htmlslotcontainer.isml"
},
"rendering": {
"vseDomain": "00112233445566778899aabb.staging.bigcontent.io",
"htmlTemplate": "sfcc"
},
"contentAssets": {
"library": "default",
"contentRepository": "00112233445566778899aabb",
"contentTypes": [
{
"folders": []
}
]
},
"localeMappings": {
"default": "*",
"fr-FR": "fr-FR,en,*",
"de": "de-*,en-*,*"
},
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/integrations/sfcc/00112233-4455-6677-8899-aabbccddeeff"
},
"webhook": {
"href": "https://api.amplience.net/v2/content/integrations/sfcc/00112233-4455-6677-8899-aabbccddeeff/webhook"
},
"update": {
"href": "https://api.amplience.net/v2/content/integrations/sfcc/00112233-4455-6677-8899-aabbccddeeff"
},
"delete": {
"href": "https://api.amplience.net/v2/content/integrations/sfcc/00112233-4455-6677-8899-aabbccddeeff"
},
"webhook-subscription": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/webhooks/00112233445566778899aabb"
}
}
}
]
},
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/integrations/sfcc?hubId=00112233445566778899aabb&cursor=page=0&size=20&sort=label,asc"
},
"integrations": {
"href": "https://api.amplience.net/v2/content/integrations/sfcc{?hubId,cursor,page,size,sort}",
"templated": true
}
},
"page": {
"size": 20,
"totalElements": 1,
"totalPages": 1,
"number": 0
}
}

Create SFCC integration
Link copied!

POST /integrations/sfcc

https://api.amplience.net/v2/content/integrations/sfcc

Create a SFCC Integration

Request Body

Content-Type: application/json

FieldTypeRequiredDescription
hubIdstringHub ID
labelstring
sfcc-credentialsobjectCredentials for integrating with SFCC
dc-credentialsobjectCredentials for integrating with DC
sfcc-apiobjectDetails to use when communicating with SFCC
contentSlotsobject
renderingobjectUsed for setting up content previews
contentAssetsobjectFiltering settings defining which content items are sent to SFCC
localeMappingsobjectLocales to use when creating SFCC content, any valid locale can be used
lastInvocationTimestampobject
Request example
{
"hubId": "00112233445566778899aabb",
"label": "Salesforce Commerce Cloud",
"sfcc-credentials": {
"id": "SFCC_ID",
"secret": "SFCC_SECRET"
},
"dc-credentials": {
"id": "DC_ID",
"secret": "DC_SECRET"
},
"sfcc-api": {
"path": "https://example.com",
"version": "v18_10"
},
"contentSlots": {
"site": "mySite",
"ismlTemplate": "slots/html/htmlslotcontainer.isml"
},
"rendering": {
"vseDomain": "00112233445566778899aabb.staging.bigcontent.io",
"htmlTemplate": "sfcc"
},
"contentAssets": {
"library": "default",
"contentRepository": "00112233445566778899aabb",
"contentTypes": [
{
"contentType": "http://deliver.bigcontent.io/schema/banner-type.json",
"folders": [
{
"default": false,
"optional": false
}
],
"mappings": {
"id": {
"jsonPath": "$.body.sfcc_id",
"fallback": "fallback value"
},
"name": {
"jsonPath": "$.body.name",
"fallback": "fallback value"
},
"onlineFlag": {
"default": {
"jsonPath": "$.body.online",
"fallback": "fallback value"
},
"mySite": {
"jsonPath": "$.body.site",
"fallback": "fallback value"
}
},
"description": {
"jsonPath": "$.body.description",
"fallback": "fallback value"
},
"siteMapPriority": {
"jsonPath": "$.body.siteMapPriority",
"fallback": "fallback value"
},
"defaultedBoolean": {
"default": {
"jsonPath": "$.body.defaultedBoolean",
"fallback": "fallback value"
},
"mySite": {
"jsonPath": "$.body.site_boolean",
"fallback": "fallback value"
}
},
"defaultedNumber": {
"default": {
"jsonPath": "$.body.defaultedNumber",
"fallback": "fallback value"
},
"mySite": {
"jsonPath": "$.body.site_number",
"fallback": "fallback value"
}
},
"defaultedObject": {
"default": {
"jsonPath": "$.body.defaultedObject",
"fallback": "fallback value"
},
"mySite": {
"jsonPath": "$.body.site_object",
"fallback": "fallback value"
}
},
"boolean_field": {
"jsonPath": "$.body.boolean_field",
"fallback": "fallback value"
}
}
}
]
},
"localeMappings": {
"default": "*",
"fr-FR": "fr-FR,en,*",
"de": "de-*,en-*,*"
}
}

Responses

StatusDescription
200SFCC Integration Create Response
Response Example (200)
{
"id": "00112233-4455-6677-8899-aabbccddeeff",
"label": "Salesforce Commerce Cloud",
"hubId": "00112233445566778899aabb",
"sfcc-credentials": {
"id": "SFCC_ID",
"secret": "SFCC_SECRET"
},
"dc-credentials": {
"id": "DC_ID",
"secret": "DC_SECRET"
},
"sfcc-api": {
"path": "https://example.com",
"version": "v18_10"
},
"contentSlots": {
"site": "mySite",
"ismlTemplate": "slots/html/htmlslotcontainer.isml"
},
"rendering": {
"vseDomain": "00112233445566778899aabb.staging.bigcontent.io",
"htmlTemplate": "sfcc"
},
"contentAssets": {
"library": "default",
"contentRepository": "00112233445566778899aabb",
"contentTypes": [
{
"contentType": "http://deliver.bigcontent.io/schema/banner-type.json",
"folders": [
{
"default": false,
"optional": false
}
],
"mappings": {
"id": {
"jsonPath": "$.body.sfcc_id",
"fallback": "fallback value"
},
"name": {
"jsonPath": "$.body.name",
"fallback": "fallback value"
},
"onlineFlag": {
"default": {
"jsonPath": "$.body.online",
"fallback": "fallback value"
},
"mySite": {
"jsonPath": "$.body.site",
"fallback": "fallback value"
}
},
"description": {
"jsonPath": "$.body.description",
"fallback": "fallback value"
},
"siteMapPriority": {
"jsonPath": "$.body.siteMapPriority",
"fallback": "fallback value"
},
"defaultedBoolean": {
"default": {
"jsonPath": "$.body.defaultedBoolean",
"fallback": "fallback value"
},
"mySite": {
"jsonPath": "$.body.site_boolean",
"fallback": "fallback value"
}
},
"defaultedNumber": {
"default": {
"jsonPath": "$.body.defaultedNumber",
"fallback": "fallback value"
},
"mySite": {
"jsonPath": "$.body.site_number",
"fallback": "fallback value"
}
},
"defaultedObject": {
"default": {
"jsonPath": "$.body.defaultedObject",
"fallback": "fallback value"
},
"mySite": {
"jsonPath": "$.body.site_object",
"fallback": "fallback value"
}
},
"boolean_field": {
"jsonPath": "$.body.boolean_field",
"fallback": "fallback value"
}
}
}
]
},
"localeMappings": {
"default": "*",
"fr-FR": "fr-FR,en,*",
"de": "de-*,en-*,*"
},
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/integrations/sfcc/00112233-4455-6677-8899-aabbccddeeff"
},
"webhook": {
"href": "https://api.amplience.net/v2/content/integrations/sfcc/00112233-4455-6677-8899-aabbccddeeff/webhook"
},
"update": {
"href": "https://api.amplience.net/v2/content/integrations/sfcc/00112233-4455-6677-8899-aabbccddeeff"
},
"delete": {
"href": "https://api.amplience.net/v2/content/integrations/sfcc/00112233-4455-6677-8899-aabbccddeeff"
},
"webhook-subscription": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/webhooks/00112233445566778899aabb"
}
}
}

Get a SFCC integration
Link copied!

GET /integrations/sfcc/{integrationId}

https://api.amplience.net/v2/content/integrations/sfcc/{integrationId}

Get a specific SFCC Integration

Parameters

NameInTypeRequiredDescription
integrationIdpathstringIntegration ID
Example: 00112233-4455-6677-8899-aabbccddeeff

Responses

StatusDescription
200Requested SFCC Integration
Response Example (200)
{
"id": "00112233-4455-6677-8899-aabbccddeeff",
"label": "Salesforce Commerce Cloud",
"hubId": "00112233445566778899aabb",
"sfcc-credentials": {
"id": "SFCC_ID",
"secret": "SFCC_SECRET"
},
"dc-credentials": {
"id": "DC_ID",
"secret": "DC_SECRET"
},
"sfcc-api": {
"path": "https://example.com",
"version": "v18_10"
},
"contentSlots": {
"site": "mySite",
"ismlTemplate": "slots/html/htmlslotcontainer.isml"
},
"rendering": {
"vseDomain": "00112233445566778899aabb.staging.bigcontent.io",
"htmlTemplate": "sfcc"
},
"contentAssets": {
"library": "default",
"contentRepository": "00112233445566778899aabb",
"contentTypes": [
{
"contentType": "http://deliver.bigcontent.io/schema/banner-type.json",
"folders": [
{
"default": false,
"optional": false
}
],
"mappings": {
"id": {
"jsonPath": "$.body.sfcc_id",
"fallback": "fallback value"
},
"name": {
"jsonPath": "$.body.name",
"fallback": "fallback value"
},
"onlineFlag": {
"default": {
"jsonPath": "$.body.online",
"fallback": "fallback value"
},
"mySite": {
"jsonPath": "$.body.site",
"fallback": "fallback value"
}
},
"description": {
"jsonPath": "$.body.description",
"fallback": "fallback value"
},
"siteMapPriority": {
"jsonPath": "$.body.siteMapPriority",
"fallback": "fallback value"
},
"defaultedBoolean": {
"default": {
"jsonPath": "$.body.defaultedBoolean",
"fallback": "fallback value"
},
"mySite": {
"jsonPath": "$.body.site_boolean",
"fallback": "fallback value"
}
},
"defaultedNumber": {
"default": {
"jsonPath": "$.body.defaultedNumber",
"fallback": "fallback value"
},
"mySite": {
"jsonPath": "$.body.site_number",
"fallback": "fallback value"
}
},
"defaultedObject": {
"default": {
"jsonPath": "$.body.defaultedObject",
"fallback": "fallback value"
},
"mySite": {
"jsonPath": "$.body.site_object",
"fallback": "fallback value"
}
},
"boolean_field": {
"jsonPath": "$.body.boolean_field",
"fallback": "fallback value"
}
}
}
]
},
"localeMappings": {
"default": "*",
"fr-FR": "fr-FR,en,*",
"de": "de-*,en-*,*"
},
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/integrations/sfcc/00112233-4455-6677-8899-aabbccddeeff"
},
"webhook": {
"href": "https://api.amplience.net/v2/content/integrations/sfcc/00112233-4455-6677-8899-aabbccddeeff/webhook"
},
"update": {
"href": "https://api.amplience.net/v2/content/integrations/sfcc/00112233-4455-6677-8899-aabbccddeeff"
},
"delete": {
"href": "https://api.amplience.net/v2/content/integrations/sfcc/00112233-4455-6677-8899-aabbccddeeff"
},
"webhook-subscription": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/webhooks/00112233445566778899aabb"
}
}
}

Update SFCC integration
Link copied!

PATCH /integrations/sfcc/{integrationId}

https://api.amplience.net/v2/content/integrations/sfcc/{integrationId}

Update an SFCC Integration

Request Body

Content-Type: application/json

FieldTypeRequiredDescription
labelstring
sfcc-credentialsobjectCredentials for integrating with SFCC
dc-credentialsobjectCredentials for integrating with DC
sfcc-apiobjectDetails to use when communicating with SFCC
contentSlotsobject
renderingobjectUsed for setting up content previews
contentAssetsobjectFiltering settings defining which content items are sent to SFCC
localeMappingsobjectLocales to use when creating SFCC content, any valid locale can be used
lastInvocationTimestampobject
Request example
{
"label": "Salesforce Commerce Cloud",
"sfcc-credentials": {
"id": "SFCC_ID",
"secret": "SFCC_SECRET"
},
"dc-credentials": {
"id": "DC_ID",
"secret": "DC_SECRET"
},
"sfcc-api": {
"path": "https://example.com",
"version": "v18_10"
},
"contentSlots": {
"site": "mySite",
"ismlTemplate": "slots/html/htmlslotcontainer.isml"
},
"rendering": {
"vseDomain": "00112233445566778899aabb.staging.bigcontent.io",
"htmlTemplate": "sfcc"
},
"contentAssets": {
"library": "default",
"contentRepository": "00112233445566778899aabb",
"contentTypes": [
{
"contentType": "http://deliver.bigcontent.io/schema/banner-type.json",
"folders": [
{
"default": false,
"optional": false
}
],
"mappings": {
"id": {
"jsonPath": "$.body.sfcc_id",
"fallback": "fallback value"
},
"name": {
"jsonPath": "$.body.name",
"fallback": "fallback value"
},
"onlineFlag": {
"default": {
"jsonPath": "$.body.online",
"fallback": "fallback value"
},
"mySite": {
"jsonPath": "$.body.site",
"fallback": "fallback value"
}
},
"description": {
"jsonPath": "$.body.description",
"fallback": "fallback value"
},
"siteMapPriority": {
"jsonPath": "$.body.siteMapPriority",
"fallback": "fallback value"
},
"defaultedBoolean": {
"default": {
"jsonPath": "$.body.defaultedBoolean",
"fallback": "fallback value"
},
"mySite": {
"jsonPath": "$.body.site_boolean",
"fallback": "fallback value"
}
},
"defaultedNumber": {
"default": {
"jsonPath": "$.body.defaultedNumber",
"fallback": "fallback value"
},
"mySite": {
"jsonPath": "$.body.site_number",
"fallback": "fallback value"
}
},
"defaultedObject": {
"default": {
"jsonPath": "$.body.defaultedObject",
"fallback": "fallback value"
},
"mySite": {
"jsonPath": "$.body.site_object",
"fallback": "fallback value"
}
},
"boolean_field": {
"jsonPath": "$.body.boolean_field",
"fallback": "fallback value"
}
}
}
]
},
"localeMappings": {
"default": "*",
"fr-FR": "fr-FR,en,*",
"de": "de-*,en-*,*"
}
}

Responses

StatusDescription
200SFCC Integration Update Response
Response Example (200)
{
"id": "00112233-4455-6677-8899-aabbccddeeff",
"label": "Salesforce Commerce Cloud",
"hubId": "00112233445566778899aabb",
"sfcc-credentials": {
"id": "SFCC_ID",
"secret": "SFCC_SECRET"
},
"dc-credentials": {
"id": "DC_ID",
"secret": "DC_SECRET"
},
"sfcc-api": {
"path": "https://example.com",
"version": "v18_10"
},
"contentSlots": {
"site": "mySite",
"ismlTemplate": "slots/html/htmlslotcontainer.isml"
},
"rendering": {
"vseDomain": "00112233445566778899aabb.staging.bigcontent.io",
"htmlTemplate": "sfcc"
},
"contentAssets": {
"library": "default",
"contentRepository": "00112233445566778899aabb",
"contentTypes": [
{
"contentType": "http://deliver.bigcontent.io/schema/banner-type.json",
"folders": [
{
"default": false,
"optional": false
}
],
"mappings": {
"id": {
"jsonPath": "$.body.sfcc_id",
"fallback": "fallback value"
},
"name": {
"jsonPath": "$.body.name",
"fallback": "fallback value"
},
"onlineFlag": {
"default": {
"jsonPath": "$.body.online",
"fallback": "fallback value"
},
"mySite": {
"jsonPath": "$.body.site",
"fallback": "fallback value"
}
},
"description": {
"jsonPath": "$.body.description",
"fallback": "fallback value"
},
"siteMapPriority": {
"jsonPath": "$.body.siteMapPriority",
"fallback": "fallback value"
},
"defaultedBoolean": {
"default": {
"jsonPath": "$.body.defaultedBoolean",
"fallback": "fallback value"
},
"mySite": {
"jsonPath": "$.body.site_boolean",
"fallback": "fallback value"
}
},
"defaultedNumber": {
"default": {
"jsonPath": "$.body.defaultedNumber",
"fallback": "fallback value"
},
"mySite": {
"jsonPath": "$.body.site_number",
"fallback": "fallback value"
}
},
"defaultedObject": {
"default": {
"jsonPath": "$.body.defaultedObject",
"fallback": "fallback value"
},
"mySite": {
"jsonPath": "$.body.site_object",
"fallback": "fallback value"
}
},
"boolean_field": {
"jsonPath": "$.body.boolean_field",
"fallback": "fallback value"
}
}
}
]
},
"localeMappings": {
"default": "*",
"fr-FR": "fr-FR,en,*",
"de": "de-*,en-*,*"
},
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/integrations/sfcc/00112233-4455-6677-8899-aabbccddeeff"
},
"webhook": {
"href": "https://api.amplience.net/v2/content/integrations/sfcc/00112233-4455-6677-8899-aabbccddeeff/webhook"
},
"update": {
"href": "https://api.amplience.net/v2/content/integrations/sfcc/00112233-4455-6677-8899-aabbccddeeff"
},
"delete": {
"href": "https://api.amplience.net/v2/content/integrations/sfcc/00112233-4455-6677-8899-aabbccddeeff"
},
"webhook-subscription": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/webhooks/00112233445566778899aabb"
}
}
}

Delete SFCC integration
Link copied!

DELETE /integrations/sfcc/{integrationId}

https://api.amplience.net/v2/content/integrations/sfcc/{integrationId}

Delete an SFCC Integration

Responses

StatusDescription
204No Content

Salesforce Marketing Cloud (SFMC)
Link copied!

MethodEndpointSummary
GET/integrations/sfmcList SFMC integrations
POST/integrations/sfmcCreate SFMC integration
GET/integrations/sfmc/{integrationId}Get a SFMC integration
PATCH/integrations/sfmc/{integrationId}Update SFMC integration
DELETE/integrations/sfmc/{integrationId}Delete SFMC integration

List SFMC integrations
Link copied!

GET /integrations/sfmc

https://api.amplience.net/v2/content/integrations/sfmc

List all of the SFMC Integrations

Parameters

NameInTypeRequiredDescription
hubIdquerystringHub ID
Example: 00112233445566778899aabb
cursorquerystringCursor specific to a page
sizequeryintegerPage size
Example: 20
sortquerystringSort paramter
Example: label,asc

Responses

StatusDescription
200Paginated SFMC Integrations List
Response Example (200)
{
"_embedded": {
"integrations": [
{
"id": "00112233-4455-6677-8899-aabbccddeeff",
"label": "Salesforce Marketing Cloud",
"active": true,
"hubId": "00112233445566778899aabb",
"sfmc-credentials": {
"id": "SFMC_ID",
"secret": "SFMC_SECRET",
"authDomain": "SFMC_SECRET"
},
"dc-credentials": {
"id": "DC_ID",
"secret": "DC_SECRET"
},
"rendering": {
"vseDomain": "00112233445566778899aabb.staging.bigcontent.io"
},
"contentAssets": {
"topLevelFolder": "myFolder",
"contentTypeSchemas": [
{
"htmlTemplate": "sfmc"
}
]
},
"lastInvocationTimestamp": 1234567890,
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/integrations/sfmc/00112233-4455-6677-8899-aabbccddeeff"
},
"hub": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb"
},
"webhook": {
"href": "https://api.amplience.net/v2/content/integrations/sfmc/00112233-4455-6677-8899-aabbccddeeff/webhook"
},
"update": {
"href": "https://api.amplience.net/v2/content/integrations/sfmc/00112233-4455-6677-8899-aabbccddeeff"
},
"delete": {
"href": "https://api.amplience.net/v2/content/integrations/sfmc/00112233-4455-6677-8899-aabbccddeeff"
},
"webhook-subscription": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/webhooks/00112233445566778899aabb"
}
}
}
]
},
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/integrations/sfmc?hubId=00112233445566778899aabb&cursor=page=0&size=20&sort=label,asc"
},
"integrations": {
"href": "https://api.amplience.net/v2/content/integrations/sfmc{?hubId,cursor,page,size,sort}",
"templated": true
}
},
"page": {
"size": 20,
"totalElements": 1,
"totalPages": 1,
"number": 0
}
}

Create SFMC integration
Link copied!

POST /integrations/sfmc

https://api.amplience.net/v2/content/integrations/sfmc

Create a SFMC Integration

Request Body

Content-Type: application/json

FieldTypeRequiredDescription
hubIdstringHub ID
labelstring
activeboolean
sfmc-credentialsobjectCredentials for integrating with SFMC
dc-credentialsobjectCredentials for integrating with DC
renderingobjectUsed for setting up content previews
contentAssetsobjectSettings to use when creating SFMC content
Request example
{
"hubId": "00112233445566778899aabb",
"label": "Salesforce Marketing Cloud",
"active": true,
"sfmc-credentials": {
"id": "SFMC_ID",
"secret": "SFMC_SECRET",
"authDomain": "SFMC_SECRET"
},
"dc-credentials": {
"id": "DC_ID",
"secret": "DC_SECRET"
},
"rendering": {
"vseDomain": "00112233445566778899aabb.staging.bigcontent.io"
},
"contentAssets": {
"topLevelFolder": "myFolder",
"contentTypeSchemas": [
{
"htmlTemplate": "sfmc"
}
]
}
}

Responses

StatusDescription
200SFMC Integration Create Response
Response Example (200)
{
"id": "00112233-4455-6677-8899-aabbccddeeff",
"label": "Salesforce Marketing Cloud",
"active": true,
"hubId": "00112233445566778899aabb",
"sfmc-credentials": {
"id": "SFMC_ID",
"secret": "SFMC_SECRET",
"authDomain": "SFMC_SECRET"
},
"dc-credentials": {
"id": "DC_ID",
"secret": "DC_SECRET"
},
"rendering": {
"vseDomain": "00112233445566778899aabb.staging.bigcontent.io"
},
"contentAssets": {
"topLevelFolder": "myFolder",
"contentTypeSchemas": [
{
"htmlTemplate": "sfmc"
}
]
},
"lastInvocationTimestamp": 1234567890,
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/integrations/sfmc/00112233-4455-6677-8899-aabbccddeeff"
},
"hub": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb"
},
"webhook": {
"href": "https://api.amplience.net/v2/content/integrations/sfmc/00112233-4455-6677-8899-aabbccddeeff/webhook"
},
"update": {
"href": "https://api.amplience.net/v2/content/integrations/sfmc/00112233-4455-6677-8899-aabbccddeeff"
},
"delete": {
"href": "https://api.amplience.net/v2/content/integrations/sfmc/00112233-4455-6677-8899-aabbccddeeff"
},
"webhook-subscription": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/webhooks/00112233445566778899aabb"
}
}
}

Get a SFMC integration
Link copied!

GET /integrations/sfmc/{integrationId}

https://api.amplience.net/v2/content/integrations/sfmc/{integrationId}

Get a specific SFMC Integration

Parameters

NameInTypeRequiredDescription
integrationIdpathstringIntegration ID
Example: 00112233-4455-6677-8899-aabbccddeeff

Responses

StatusDescription
200Requested SFMC Integration
Response Example (200)
{
"id": "00112233-4455-6677-8899-aabbccddeeff",
"label": "Salesforce Marketing Cloud",
"active": true,
"hubId": "00112233445566778899aabb",
"sfmc-credentials": {
"id": "SFMC_ID",
"secret": "SFMC_SECRET",
"authDomain": "SFMC_SECRET"
},
"dc-credentials": {
"id": "DC_ID",
"secret": "DC_SECRET"
},
"rendering": {
"vseDomain": "00112233445566778899aabb.staging.bigcontent.io"
},
"contentAssets": {
"topLevelFolder": "myFolder",
"contentTypeSchemas": [
{
"htmlTemplate": "sfmc"
}
]
},
"lastInvocationTimestamp": 1234567890,
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/integrations/sfmc/00112233-4455-6677-8899-aabbccddeeff"
},
"hub": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb"
},
"webhook": {
"href": "https://api.amplience.net/v2/content/integrations/sfmc/00112233-4455-6677-8899-aabbccddeeff/webhook"
},
"update": {
"href": "https://api.amplience.net/v2/content/integrations/sfmc/00112233-4455-6677-8899-aabbccddeeff"
},
"delete": {
"href": "https://api.amplience.net/v2/content/integrations/sfmc/00112233-4455-6677-8899-aabbccddeeff"
},
"webhook-subscription": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/webhooks/00112233445566778899aabb"
}
}
}

Update SFMC integration
Link copied!

PATCH /integrations/sfmc/{integrationId}

https://api.amplience.net/v2/content/integrations/sfmc/{integrationId}

Update an SFMC Integration

Request Body

Content-Type: application/json

FieldTypeRequiredDescription
labelstring
activeboolean
sfmc-credentialsobjectCredentials for integrating with SFMC
dc-credentialsobjectCredentials for integrating with DC
renderingobjectUsed for setting up content previews
contentAssetsobjectSettings to use when creating SFMC content
Request example
{
"label": "Salesforce Marketing Cloud",
"active": true,
"sfmc-credentials": {
"id": "SFMC_ID",
"secret": "SFMC_SECRET",
"authDomain": "SFMC_SECRET"
},
"dc-credentials": {
"id": "DC_ID",
"secret": "DC_SECRET"
},
"rendering": {
"vseDomain": "00112233445566778899aabb.staging.bigcontent.io"
},
"contentAssets": {
"topLevelFolder": "myFolder",
"contentTypeSchemas": [
{
"htmlTemplate": "sfmc"
}
]
}
}

Responses

StatusDescription
200SFMC Integration Update Response
Response Example (200)
{
"id": "00112233-4455-6677-8899-aabbccddeeff",
"label": "Salesforce Marketing Cloud",
"active": true,
"hubId": "00112233445566778899aabb",
"sfmc-credentials": {
"id": "SFMC_ID",
"secret": "SFMC_SECRET",
"authDomain": "SFMC_SECRET"
},
"dc-credentials": {
"id": "DC_ID",
"secret": "DC_SECRET"
},
"rendering": {
"vseDomain": "00112233445566778899aabb.staging.bigcontent.io"
},
"contentAssets": {
"topLevelFolder": "myFolder",
"contentTypeSchemas": [
{
"htmlTemplate": "sfmc"
}
]
},
"lastInvocationTimestamp": 1234567890,
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/integrations/sfmc/00112233-4455-6677-8899-aabbccddeeff"
},
"hub": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb"
},
"webhook": {
"href": "https://api.amplience.net/v2/content/integrations/sfmc/00112233-4455-6677-8899-aabbccddeeff/webhook"
},
"update": {
"href": "https://api.amplience.net/v2/content/integrations/sfmc/00112233-4455-6677-8899-aabbccddeeff"
},
"delete": {
"href": "https://api.amplience.net/v2/content/integrations/sfmc/00112233-4455-6677-8899-aabbccddeeff"
},
"webhook-subscription": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/webhooks/00112233445566778899aabb"
}
}
}

Delete SFMC integration
Link copied!

DELETE /integrations/sfmc/{integrationId}

https://api.amplience.net/v2/content/integrations/sfmc/{integrationId}

Delete an SFMC Integration

Responses

StatusDescription
204No Content